Install what I use the most, in one shot.
authorpatrick nsukami <ndkpatt@gmail.com>
Sat, 27 Jun 2015 12:48:04 +0000 (12:48 +0000)
committerpatrick nsukami <ndkpatt@gmail.com>
Sat, 27 Jun 2015 12:48:04 +0000 (12:48 +0000)
bootstrap_server.sh [new file with mode: 0644]

diff --git a/bootstrap_server.sh b/bootstrap_server.sh
new file mode 100644 (file)
index 0000000..8bf6aed
--- /dev/null
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# not so well written shell script
+# to make sure beloved packages are installed
+
+apt-get update
+
+# install redis
+dpkg --get-selections | grep redis > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install --quiet --assume-yes redis-server
+fi
+
+# install emacs & tmux
+dpkg --get-selections | grep emacs > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install --quiet --assume-yes emacs24-nox tmux
+fi
+
+# install git
+dpkg --get-selections | grep git > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install --quiet --assume-yes git git-core
+fi
+
+# install postgres
+dpkg --get-selections | grep postgresql > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install --quiet --assume-yes postgresql-contrib postgresql libpq-dev
+fi
+
+# install python
+dpkg --get-selections | grep python-dev > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install -q -y python3 python3-doc python3-dev python-setuptools uwsgi-plugin-python
+fi
+
+# install image libs
+dpkg --get-selections | grep libjpeg-dev > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install --quiet --assume-yes libjpeg-dev zlib1g-dev libpng12-dev
+fi
+
+# install blablabla
+dpkg --get-selections | grep gcc > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install --quiet --assume-yes gcc make build-essential
+fi
+
+# install fail2ban
+dpkg --get-selections | grep fail2ban > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    apt-get install --quiet --assume-yes fail2ban rkhunter
+fi
+
+# install project requirements using pip
+# if on on prod server, install requirements/prod.txt
+
+# otherwise requirements/dev.txt